Bug 116513 - devel/valgrind fails to compile on 7.0-CURRENT i386
Summary: devel/valgrind fails to compile on 7.0-CURRENT i386
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Simon Barner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-21 14:40 UTC by Rebecca Cran
Modified: 2008-05-17 20:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rebecca Cran freebsd_committer 2007-09-21 14:40:01 UTC
Valgrind 352 doesn't compile: it fails to compile vg_mylibc.c:

vg_mylibc.c:759: error: invalid storage class for function 'add_to_vg_sprintf_buf'




if cc -DHAVE_CONFIG_H -I. -I. -I..  -I./demangle -I../include -I./x86 -DVG_LIBDIR="\"/usr/local/lib/valgrind"\"   -Winline -Wall -Wshadow -O -fno-omit-frame-pointer -mpreferred-stack-boundary=2 -g -DELFSZ=32  -MT vg_mylibc.o -MD -MP -MF ".deps/vg_mylibc.Tpo" -c -o vg_mylibc.o vg_mylibc.c; \
        then mv -f ".deps/vg_mylibc.Tpo" ".deps/vg_mylibc.Po"; else rm -f ".deps/vg_mylibc.Tpo"; exit 1; fi
In file included from vg_include.h:49,
                 from vg_mylibc.c:33:
./include/vg_skin.h:1230: warning: type qualifiers ignored on function return type
vg_mylibc.c: In function 'vgPlain_kisemptysigset':
vg_mylibc.c:65: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:65: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:65: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_kisfullsigset':
vg_mylibc.c:74: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:74: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:74: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_ksigaddset_from_set':
vg_mylibc.c:121: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:121: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:121: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_ksigdelset_from_set':
vg_mylibc.c:130: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:130: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:130: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_ksignal':
vg_mylibc.c:212: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:212: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:212: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_exit':
vg_mylibc.c:390: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:390: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:390: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_brk':
vg_mylibc.c:445: warning: implicit declaration of function 'brk'
vg_mylibc.c:446: warning: implicit declaration of function 'sbrk'
vg_mylibc.c:446: warning: return makes pointer from integer without a cast
vg_mylibc.c: In function 'myvprintf_int64':
vg_mylibc.c:528: warning: pointer targets in initialization differ in signedness
vg_mylibc.c:559: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:559: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:559: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_vprintf':
vg_mylibc.c:682: warning: pointer targets in passing argument 4 of 'myvprintf_str' differ in signedness
vg_mylibc.c: In function 'add_to_myprintf_buf':
vg_mylibc.c:723: warning: pointer targets in passing argument 1 of 'vgPlain_strlen' differ in signedness
vg_mylibc.c:723: warning: pointer targets in passing argument 1 of 'vgPlain_send_bytes_to_logging_sink' differ in signedness
vg_mylibc.c: In function 'vgPlain_printf':
vg_mylibc.c:740: warning: pointer targets in passing argument 2 of 'vgPlain_vprintf' differ in signedness
vg_mylibc.c:743: warning: pointer targets in passing argument 1 of 'vgPlain_send_bytes_to_logging_sink' differ in signedness
vg_mylibc.c: In function 'vgPlain_sprintf':
vg_mylibc.c:759: error: invalid storage class for function 'add_to_vg_sprintf_buf'
vg_mylibc.c:770: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:770: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:770: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_atoll36':
vg_mylibc.c:841: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:841: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:841: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_strncpy_safely':
vg_mylibc.c:916: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:916: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:916: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_memcpy':
vg_mylibc.c:1038: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1038: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1038: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_memset':
vg_mylibc.c:1050: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1050: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1050: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_memcmp':
vg_mylibc.c:1063: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1063: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1063: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'string_match_wrk':
vg_mylibc.c:1124: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1124: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1124: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_core_assert_fail':
vg_mylibc.c:1236: warning: pointer targets in passing argument 2 of 'assert_fail' differ in signedness
vg_mylibc.c:1236: warning: pointer targets in passing argument 3 of 'assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_core_panic':
vg_mylibc.c:1249: warning: pointer targets in passing argument 1 of 'panic' differ in signedness
vg_mylibc.c:1249: warning: pointer targets in passing argument 2 of 'panic' differ in signedness
vg_mylibc.c: In function 'vgPlain_safe_fd':
vg_mylibc.c:1274: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1274: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1274: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1282: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1282: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1282: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_getcwd':
vg_mylibc.c:1387: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1387: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1387: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_env_setenv':
vg_mylibc.c:1445: warning: pointer targets in passing argument 2 of 'vgPlain_sprintf' differ in signedness
vg_mylibc.c: In function 'vgPlain_system':
vg_mylibc.c:1583: warning: pointer targets in assignment differ in signedness
vg_mylibc.c:1584: warning: pointer targets in assignment differ in signedness
vg_mylibc.c: In function 'vgPlain_read_millisecond_timer':
vg_mylibc.c:1635: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1635: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1635: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_start_rdtsc_calibration':
vg_mylibc.c:1645: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1645: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1645: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1650: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1650: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1650: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_end_rdtsc_calibration':
vg_mylibc.c:1664: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1664: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1664: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1674: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1674: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1674: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1682: warning: pointer targets in passing argument 1 of 'vgPlain_core_panic' differ in signedness
vg_mylibc.c:1690: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1690: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1690: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1699: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1699: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1699: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1704: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1704: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1704: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1719: warning: pointer targets in passing argument 2 of 'vgPlain_message' differ in signedness
vg_mylibc.c:1722: warning: pointer targets in passing argument 1 of 'vgPlain_core_panic' differ in signedness
vg_mylibc.c:1724: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1724: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1724: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_get_memory_from_mmap':
vg_mylibc.c:1760: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1760: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1760: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c: In function 'vgPlain_ssort':
vg_mylibc.c:1816: warning: pointer targets in passing argument 1 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1816: warning: pointer targets in passing argument 2 of 'vgPlain_core_assert_fail' differ in signedness
vg_mylibc.c:1816: warning: pointer targets in passing argument 4 of 'vgPlain_core_assert_fail' differ in signedness
gmake[4]: *** [vg_mylibc.o] Error 1
gmake[4]: Leaving directory `/usr/ports/devel/valgrind/work/valgrind-stable-352/coregrind'
gmake[3]: *** [all-recursive] Error 1
gmake[3]: Leaving directory `/usr/ports/devel/valgrind/work/valgrind-stable-352/coregrind'
gmake[2]: *** [all] Error 2
gmake[2]: Leaving directory `/usr/ports/devel/valgrind/work/valgrind-stable-352/coregrind'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/ports/devel/valgrind/work/valgrind-stable-352'
gmake: *** [all] Error 2
*** Error code 2

Stop in /usr/ports/devel/valgrind.

How-To-Repeat: cd /usr/ports/devel/valgrind && make install
Comment 1 Edwin Groothuis freebsd_committer 2007-09-21 14:40:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->barner

Over to maintainer
Comment 2 ntarmos 2007-12-14 19:38:09 UTC
This is primarily a gcc4+ issue, so a quick workaround is to add
USE_GCC=3.4 in the port's Makefile. Other ports (e.g. devel/qemu) also
have trouble with gcc4, so this could be a viable solution for the time
being.

--- Makefile.diff begins here ---
--- Makefile.orig       2007-12-14 21:35:55.000000000 +0200
+++ Makefile    2007-12-14 21:35:50.000000000 +0200
@@ -18,6 +18,7 @@
 ONLY_FOR_ARCHS=        i386
 CONFLICTS=     valgrind-snapshot-[0-9]*
 WRKSRC=                ${WRKDIR}/${DISTNAME}
+USE_GCC=       3.4
 USE_GMAKE=     yes
 USE_GNOME=     pkgconfig
 GNU_CONFIGURE= yes
--- Makefile.diff ends here ---
Comment 3 dfilter service freebsd_committer 2008-05-17 20:04:53 UTC
barner      2008-05-17 19:04:49 UTC

  FreeBSD ports repository

  Modified files:
    devel/valgrind       Makefile 
    devel/valgrind-snapshot Makefile 
  Log:
  Fix build on FreeBSD 7.
  
  Requested by:   many
  PR:             ports/116513 [1],
                  ports/123711 [2]
  Submitted by:   Bruce Cran <bruce@cran.org.uk> [1],
                  delphij [2]
  
  Revision  Changes    Path
  1.26      +1 -1      ports/devel/valgrind-snapshot/Makefile
  1.28      +1 -1      ports/devel/valgrind/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Simon Barner freebsd_committer 2008-05-17 20:06:11 UTC
State Changed
From-To: open->closed

Committed. Thanks! Sorry for the unacceptably long delay.